head	1.11;
access;
symbols
	RELEASE_4_10_0:1.10
	RELEASE_5_2_1:1.10
	RELEASE_5_2_0:1.10
	RELEASE_4_9_0:1.10
	RELEASE_5_1_0:1.10
	RELEASE_4_8_0:1.9
	RELEASE_5_0_0:1.9
	RELEASE_4_7_0:1.8
	RELEASE_4_6_2:1.7
	RELEASE_4_6_1:1.7
	RELEASE_4_6_0:1.7
	RELEASE_5_0_DP1:1.7
	RELEASE_4_5_0:1.6
	RELEASE_4_4_0:1.6
	RELEASE_4_3_0:1.4
	RELEASE_4_2_0:1.4
	RELEASE_4_1_1:1.3
	RELEASE_4_1_0:1.3
	RELEASE_3_5_0:1.3
	RELEASE_4_0_0:1.3
	RELEASE_3_4_0:1.2
	RELEASE_3_3_0:1.2
	RELEASE_3_2_0:1.2
	RELEASE_3_1_0:1.2;
locks; strict;
comment	@# @;


1.11
date	2004.08.29.15.00.35;	author jkoshy;	state dead;
branches;
next	1.10;

1.10
date	2003.03.30.00.48.14;	author jkoshy;	state Exp;
branches;
next	1.9;

1.9
date	2002.11.22.11.17.31;	author jkoshy;	state Exp;
branches;
next	1.8;

1.8
date	2002.06.09.07.00.08;	author jkoshy;	state Exp;
branches;
next	1.7;

1.7
date	2002.03.26.08.58.34;	author jkoshy;	state Exp;
branches;
next	1.6;

1.6
date	2001.08.24.09.12.43;	author jkoshy;	state Exp;
branches;
next	1.5;

1.5
date	2001.06.18.10.34.12;	author jkoshy;	state Exp;
branches;
next	1.4;

1.4
date	2000.10.07.22.28.28;	author asami;	state Exp;
branches;
next	1.3;

1.3
date	2000.01.28.06.36.13;	author jkoshy;	state Exp;
branches;
next	1.2;

1.2
date	99.02.02.07.29.00;	author jkoshy;	state Exp;
branches;
next	1.1;

1.1
date	99.02.02.04.00.12;	author jkoshy;	state Exp;
branches;
next	;


desc
@@


1.11
log
@Upgrade to v110.48.

Submitted by:	Johannes 5 Joemann <joemann@@beefree.free.de> [MAINTAINER]
@
text
@--- config/install.sh.orig	Thu Oct 17 15:07:53 2002
+++ config/install.sh	Mon Mar 17 02:11:26 2003
@@@@ -550,6 +550,28 @@@@
 ######################################################################
 
 #
+# do_patch patch-file
+# apply a patch file
+do_patch() {
+	patchfile=$FILESDIR/$1
+
+	if [ ! -r $patchfile ]; then
+		echo "$this: !!! patch file $patchfile not found."
+		exit 1;
+	fi
+
+	if [ ! -f $CONFIGDIR/.patch_$1 ]; then 
+		$PATCH $PATCH_ARGS < $patchfile || {\
+			echo "$this: !!! patch file $patchfile failed to patch."
+			exit 1;
+		}
+		echo > $CONFIGDIR/.patch_$1
+	else
+		echo "$this: patch $patchfile already installed."
+	fi
+}
+
+#
 # create the various sub directories
 #
 for dir in $BINDIR $HEAPDIR $RUNDIR $LIBDIR $SRCDIR ; do
@@@@ -656,6 +678,8 @@@@
 # build the run-time system
 #
 unpack "run-time" $SRCDIR runtime runtime
+do_patch do-patch-src-genposixnames
+do_patch do-patch-src-mk.x86-freebsd
 if [ -x $RUNDIR/run.$ARCH-$OPSYS ]; then
     vsay $this: Run-time system already exists.
 else
@@@@ -664,7 +688,7 @@@@
     $MAKE -f mk.$ARCH-$OPSYS $EXTRA_DEFS
     if [ -x run.$ARCH-$OPSYS ]; then
 	mv run.$ARCH-$OPSYS $RUNDIR
-	$MAKE MAKE=$MAKE clean
+	[ "$MLNORUNTIMECLEAN" ] || $MAKE MAKE=$MAKE clean
     else
 	complain "$this: !!! Run-time system build failed for some reason."
     fi
@@@@ -728,6 +752,8 @@@@
 	do
 	    unpack $src $ROOT/src $src $src
         done
+	do_patch do-patch-src-makeml
+	do_patch do-patch-src-installml
 	;;
       ml-yacc)
 	standalone ml-yacc ML-Yacc src
@


1.10
log
@- Unbreak for 5-CURRENT
- calm processor warnings for assembler code on 5-CURRENT
- mark the Alpha as currently unsupported
- update WWW: link.

Submitted by:	Johannes 5 Joemann <joemann@@beefree.free.de> [MAINTAINER]
@
text
@@


1.9
log
@Update to v110.42.

Submitted by:	Johannes 5 Joemann <joemann@@beefree.free.de> [MAINTAINER]
@
text
@d2 1
a2 1
+++ config/install.sh	Sun Nov 10 23:59:17 2002
d32 10
a41 1
@@@@ -664,7 +686,7 @@@@
d50 1
a50 1
@@@@ -728,6 +750,8 @@@@
@


1.8
log
@Upgrade to v110.40.

Submitted by: 	Johannes 5 Joemann <joemann@@beefree.free.de> [MAINTAINER]
@
text
@d1 2
a2 2
--- config/install.sh.orig	Fri May 17 22:48:36 2002
+++ config/install.sh	Thu May 23 01:40:27 2002
d32 1
a32 1
@@@@ -666,7 +688,7 @@@@
d41 1
a41 1
@@@@ -730,6 +752,8 @@@@
@


1.7
log
@Upgrade to v110.39.  Compilation of this port is now controlled by three
knobs:
	- the default compiles the basic runtime, heap, libs, ml-yacc,
	  ml-lex and smlnj-lib
	- WITH_EVERYTHING installs everything in the distribution,
	  including sources
	- WITH_RECOMPILE recompiles the compiler, implies WITH_EVERYTHING
	- WITH_FLINT applies the patch to access FLINT, implies
	  WITH_RECOMPILE

Submitted by:	Johannes 5 Joemann <joemann@@beefree.free.de> (MAINTAINER)
@
text
@d1 3
a3 45
--- config/install.sh.orig	Fri Feb 15 23:17:39 2002
+++ config/install.sh	Wed Feb 20 03:36:14 2002
@@@@ -92,6 +92,17 @@@@
     return 0
 }
 
+isin() {
+    tested_x=$1
+    shift
+    for set_y in "$@@" ; do
+	if [ ${tested_x} = ${set_y} ] ; then
+	    return 0
+	fi
+    done
+    return 1
+}
+
 require() {
     require_who=$1
     shift
@@@@ -105,8 +116,10 @@@@
 }
 
 onepass() {
-    while read depline ; do
-	require $depline
+    while read depwho depon ; do
+	if isin $depwho ${TARGETS} ; then
+		require $depwho $depon
+	fi
     done
 }
 
@@@@ -123,9 +136,7 @@@@
 #
 NEWTARGETS=""
 for t in ${ALLTARGETS} ; do
-    if isnotin $t ${TARGETS} ; then
-	:
-    else
+    if isin $t ${TARGETS} ; then
 	NEWTARGETS="$NEWTARGETS $t"
     fi
 done
@@@@ -552,6 +563,28 @@@@
d32 1
a32 1
@@@@ -668,7 +701,7 @@@@
d41 1
a41 1
@@@@ -732,6 +765,8 @@@@
@


1.6
log
@Upgrade to SML/NJ v110.34.  Add a number of nifty configurability options.

PR:		ports/29656
Submitted by:	Johannes 5 Joemann <joemann@@beefree.free.de>
@
text
@d1 4
a4 3
--- config/install.sh.orig	Wed Jun 20 22:39:12 2001
+++ config/install.sh	Wed Aug 15 19:16:18 2001
@@@@ -408,6 +408,28 @@@@
d7 41
d74 1
a74 1
@@@@ -527,7 +549,7 @@@@
d81 3
a83 3
 	echo "$this: !!! Run-time system build failed for some reason."
 	exit 1
@@@@ -594,6 +616,8 @@@@
@


1.5
log
@Upgrade to development version 110.33.
@
text
@d1 2
a2 2
--- config/install.sh.orig	Wed May 23 03:36:12 2001
+++ config/install.sh	Mon Jun 18 14:40:02 2001
d32 18
a49 8
@@@@ -519,6 +541,7 @@@@
 # build the run-time system
 #
 unpack "run-time" $SRCDIR runtime runtime
+do_patch extra-patch-global-names
 if [ -x $RUNDIR/run.$ARCH-$OPSYS ]; then
     echo $this: Run-time system already exists.
 else
@


1.4
log
@Rename ${FILISDER}/patch-* to ${FILESDIRA}/extra-patch-*.  (These patches
are applied from within the configure script, patched by patch-ab.)
@
text
@d1 14
a14 16
--- config/install.sh.orig	Wed Aug  5 13:43:43 1998
+++ config/install.sh	Sat Jan 29 20:46:09 2000
@@@@ -181,6 +181,18 @@@@
 if [ "$?" != "0" ]; then
   exit $?
 fi
+# we need to patch just before build
+echo "applying source patches"
+patch_file="${FILESDIR}/extra-patch-global-names"
+if [ -f $patch_file ]; then
+	$PATCH $PATCH_ARGS < $patch_file
+fi
+if grep -w FPE_INTDIV /usr/include/machine/trap.h > /dev/null 2>&1; then
+	patch_file="${FILESDIR}/extra-patch-signals"
+	if [ -f $patch_file ]; then
+		$PATCH $PATCH_ARGS < $patch_file
d16 24
a39 4
+fi
 if [ ! -x $RUNDIR/run.$ARCH-$OPSYS ]; then
   cd $SRCDIR/runtime/objs
   echo "compiling the run-time system"
@


1.3
log
@Fix building of SML/NJ under 4-CURRENT after 1999/7/25.

The trap handler returns different information after this date for
numeric error conditions.  Since kern.osreldate is not a reliable
indicator of when this change occurred, we revert to checking for
the presence of a particular #define in <machine/trap.h> to decide
if the SML/NJ runtime sources need to use the newer interface.

Submitted by:	 Tom <tcrimi@@andrew.cmu.edu> (in part)
@
text
@d9 1
a9 1
+patch_file="${FILESDIR}/patch-global-names"
d14 1
a14 1
+	patch_file="${FILESDIR}/patch-signals"
@


1.2
log
@Correct stale patch.

Found by:	asami@@freebsd.org
@
text
@d2 2
a3 2
+++ config/install.sh	Tue Feb  2 12:57:13 1999
@@@@ -181,6 +181,12 @@@@
d8 1
a10 1
+	echo "applying source patches"
d12 6
@


1.1
log
@Add patch for ELF support.
@
text
@d1 5
a5 5
--- config/install.sh--	Wed Aug  5 13:43:43 1998
+++ config/install.sh	Mon Feb  1 15:57:31 1999
@@@@ -193,6 +193,12 @@@@
     exit 1
   fi
d13 3
a15 3
 cd $SRCDIR
 
 #
@

